Skip to content

List all folders

Request

You can fetch a list of all folders for organizing content by making a GET request to https://api.intercom.io/folders.

Security
bearerAuth
Query
pageinteger

The page number

Example:page=1
per_pageinteger

Number of results per page

Example:per_page=50
parent_folder_idinteger

Filter folders by parent folder ID. Use this to list only direct children of a specific folder.

Example:parent_folder_id=1
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.17"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  'https://api.intercom.io/folders?page=1&per_page=50&parent_folder_id=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

successful

Bodyapplication/json
typestring
Value:"list"
Example:"list"
dataArray of objects(Folder)
total_countinteger

Total number of folders

Example:2

The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

Response
{ "type": "list", "data": [ { … } ], "total_count": 1, "pages": { "type": "pages", "page": 1, "per_page": 50, "total_pages": 1 } }